Bug 546020

Summary: Review Request: php-swift-Swift - Free Feature-rich PHP Mailer
Product: [Fedora] Fedora Reporter: Christof Damian <christof>
Component: Package ReviewAssignee: Nick Bebout <nb>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, nb, notting, pahan
Target Milestone: ---Flags: nb: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: php-swift-Swift-4.0.6-1.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-05-13 19:35:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 544660    
Bug Blocks: 517191    

Description Christof Damian 2009-12-09 20:03:40 UTC
Spec URL: http://rpms.damian.net/SPECS/php-swift-Swift.spec
SRPM URL: http://rpms.damian.net/SRPMS/php-swift-Swift-4.0.5-1.fc12.src.rpm
Description: Free Feature-rich PHP Mailer

Comment 1 Christof Damian 2009-12-09 20:07:27 UTC
no rpmlint warnings / errors 

this depends on php-channel-swift , which also is waiting for a review ( Bug 544660 )

I packaged this in my quest to package Symfony ( Bug 517191 ) version 1.4 bundles this.

Comment 2 Nick Bebout 2010-03-09 17:57:37 UTC
I apologize, I forgot about this review, I will try to get this done today or tomorrow.

Comment 3 Nick Bebout 2010-05-12 04:35:14 UTC
[nb@epsilon SOURCES]$ md5sum Swift-4.0.5.tgz
1e6332e6b4d381e769b2733575ab0ccf  Swift-4.0.5.tgz
[nb@epsilon SOURCES]$ md5sum Swift-4.0.5.tgz.srpm 
1e6332e6b4d381e769b2733575ab0ccf  Swift-4.0.5.tgz.srpm

[nb@epsilon SPECS]$ rpmlint php-swift-Swift.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[nb@epsilon SRPMS]$ rpmlint php-swift-Swift-4.0.5-1.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[OK] MUST: rpmlint must be run on every package
[OK] MUST: The package must be named according to the Package Naming 
         Guidelines
[OK] MUST: The spec file name must match the base package %{name} [...]
[OK] MUST: The package must meet the Packaging Guidelines
[OK] MUST: The package must be licensed with a Fedora approved license
         and meet the Licensing Guidelines
[OK] MUST: The License field in the package spec file must match the 
         actual license
[NA] MUST: If (and only if) the source package includes the text of the 
         license(s) in its own file, then that file, containing the text of 
         the license(s) for the package must be included in %doc
[OK] MUST: The spec file must be written in American English.
[OK] MUST: The spec file for the package MUST be legible.
[OK] MUST: The sources used to build the package must match the upstream 
         source, as provided in the spec URL. Reviewers should use md5sum for 
         this task. If no upstream URL can be specified for this package, 
         please see the Source URL Guidelines for how to deal with this.
[OK] MUST: The package MUST successfully compile and build into binary 
         rpms on at least one primary architecture
[NA] MUST: If the package does not successfully compile, build or work on 
         an architecture, then those architectures should be listed in the 
         spec in ExcludeArch. Each architecture listed in ExcludeArch MUST 
         have a bug filed in bugzilla, describing the reason that the package 
         does not compile/build/work on that architecture. The bug number MUST 
         be placed in a comment, next to the corresponding ExcludeArch line
[OK] MUST: All build dependencies must be listed in BuildRequires, except 
         for any that are listed in the exceptions section of the Packaging 
         Guidelines ; inclusion of those as BuildRequires is optional. Apply 
         common sense.
[NA] MUST: The spec file MUST handle locales properly. This is done by 
         using the %find_lang macro. Using %{_datadir}/locale/* is strictly 
         forbidden
[NA] MUST: Every binary RPM package (or subpackage) which stores shared 
         library files (not just symlinks) in any of the dynamic linker's 
         default paths, must call ldconfig in %post and %postun.
[NA] MUST: If the package is designed to be relocatable, the packager must 
         state this fact in the request for review, along with the 
         rationalization for relocation of that specific package. Without 
         this, use of Prefix: /usr is considered a blocker.
[OK] MUST: A package must own all directories that it creates. If it does 
         not create a directory that it uses, then it should require a package 
         which does create that directory.
[OK] MUST: A package must not contain any duplicate files in the %files 
         listing.
[OK] MUST: Permissions on files must be set properly. Executables should 
         be set with executable permissions, for example. Every %files section 
         must include a %defattr(...) line.
[OK] MUST: Each package must have a %clean section, which contains rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
[OK] MUST: Each package must consistently use macros.
[OK] MUST: The package must contain code, or permissable content.
[OK] MUST: Large documentation files must go in a -doc subpackage. (The 
         definition of large is left up to the packager's best judgement, but 
         is not restricted to size. Large can refer to either size or 
         quantity).
[OK] MUST: If a package includes something as %doc, it must not affect the 
         runtime of the application. To summarize: If it is in %doc, the 
         program must run properly if it is not present.
[NA] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: Packages containing pkgconfig(.pc) files must 'Requires: 
         pkgconfig' (for directory ownership and usability).
[NA] MUST: If a package contains library files with a suffix (e.g. 
         libfoo.so.1.1), then library files that end in .so (without suffix) 
         must go in a -devel package.
[NA] MUST: In the vast majority of cases, devel packages must require the 
         base package using a fully versioned dependency: Requires: %{name} =
         %{version}-%{release}
[NA] MUST: Packages must NOT contain any .la libtool archives, these must 
         be removed in the spec if they are built.
[NA] MUST: Packages containing GUI applications must include a
         %{name}.desktop file, and that file must be properly installed with 
         desktop-file-install in the %install section. If you feel that your 
         packaged GUI application does not need a .desktop file, you must put 
         a comment in the spec file with your explanation.
[OK] MUST: Packages must not own files or directories already owned by 
         other packages. The rule of thumb here is that the first package to 
         be installed should own the files or directories that other packages 
         may rely upon. This means, for example, that no package in Fedora 
         should ever share ownership with any of the files or directories 
         owned by the filesystem or man package. If you feel that you have a 
         good reason to own a file or directory that another package owns, 
         then please present that at package review time.
[OK] MUST: At the beginning of %install, each package MUST run rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
[OK] MUST: All filenames in rpm packages must be valid UTF-8.

[OK] SHOULD query upstream to include it.
[OK] SHOULD: The description and summary sections in the package spec file
        should contain translations for supported Non-English languages, if
        available.
[OK] SHOULD: The reviewer should test that the package builds in mock.
[OK] SHOULD: The package should compile and build into binary rpms on all
        supported architectures.
[OK] SHOULD: The reviewer should test that the package functions as
        described. A package should not segfault instead of running, for
        example.
[OK] SHOULD: If scriptlets are used, those scriptlets must be sane. This is
        vague, and left up to the reviewers judgement to determine sanity.
[OK] SHOULD: Usually, subpackages other than devel should require the base
        package using a fully versioned dependency.
[NA] SHOULD: The placement of pkgconfig(.pc) files depends on their
        usecase, and this is usually for development purposes, so should be
        placed in a -devel pkg. A reasonable exception is that the main pkg
        itself is a devel tool not installed in a user runtime, e.g. gcc or
        gdb.
[OK] SHOULD: If the package has file dependencies outside of /etc, /bin,
        /sbin, /usr/bin, or /usr/sbin consider requiring the package which
        provides the file instead of the file itself.
[OK] SHOULD: your package should contain man pages for binaries/scripts. If
        it doesn't, work with upstream to add them where they make sense.[34]

THIS PACKAGE IS APPROVED.

Comment 4 Christof Damian 2010-05-12 06:02:21 UTC
thanks for the review Nick !

New Package CVS Request
=======================
Package Name: php-swift-Swift
Short Description: Free Feature-rich PHP Mailer
Owners: cdamian
Branches: F-13
InitialCC:

Comment 5 Kevin Fenzi 2010-05-12 17:13:53 UTC
CVS done (by process-cvs-requests.py).

Comment 6 Fedora Update System 2010-05-12 17:59:58 UTC
php-swift-Swift-4.0.6-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/php-swift-Swift-4.0.6-1.fc13

Comment 7 Fedora Update System 2010-05-13 19:35:10 UTC
php-swift-Swift-4.0.6-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Christof Damian 2010-07-04 11:25:49 UTC
Package Change Request
======================
Package Name: php-swift-Swift
New Branches: EL-6
Owners: cdamian

Comment 9 Kevin Fenzi 2010-07-05 01:41:16 UTC
CVS done (by process-cvs-requests.py).